GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Member Functions | Public Attributes
SmokeTestProgram2 Struct Reference
Inheritance diagram for SmokeTestProgram2:

List of all members.

## Public Member Functions
void | update (graphchi_vertex< VertexDataType, EdgeDataType > &vertex, graphchi_context &gcontext)
void | before_iteration (int iteration, graphchi_context &gcontext)
void | after_iteration (int iteration, graphchi_context &gcontext)
void | before_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)
void | after_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)

## Public Attributes
volatile size_t | ndeleted

## Additional Inherited Members
Public Types inherited from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >
typedef VertexDataType | VertexDataType
typedef EdgeDataType | EdgeDataType

## Detailed Description

Smoke test. On every iteration, each vertex sets its id to be id + iteration number. Vertices check whether their neighbors were set correctly. This assumes that the vertices are executed in round-robin order.

- Uses edges in inverse order to the first smoketest.

## Member Function Documentation

void SmokeTestProgram2::after_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called after an execution interval has finished.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void SmokeTestProgram2::after_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called after an iteration has finished.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void SmokeTestProgram2::before_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called before an execution interval is started.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void SmokeTestProgram2::before_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called before an iteration starts.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void SmokeTestProgram2::update | ( | graphchi_vertex< VertexDataType, EdgeDataType > & | vertex,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Vertex update function.

Implements graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

The documentation for this struct was generated from the following file:

- src/tests/basic_dynamicengine_smoketest2.cpp